.form-boxs {
  padding: 16rem 23rem 13rem 24rem;
  border-bottom: 1rem solid #d8d8d8;
}

.table-boxs {
  /* padding: 6rem 24rem 22rem; */
  padding: 6rem 24rem 14rem;
}

/* $color-primary:#6660b8; */
.primary-btn {
  background-color: #6660b8;
  color: #FFFFFF;
  border-radius: 4rem;
  text-align: center;
  cursor: pointer;
}

.plan-btn {
  background-color: #FFFFFF;
  color: #6660b8;
  border-radius: 4rem;
  margin: auto;
  text-align: center;
  border: 1rem solid #6660b8;
}

/* flex */
.fx-between {
  display: flex;
  justify-content: space-between;
  align-items: center;
  align-content: flex-start;
}

.fx-flex-start {
  display: flex;
  justify-content: start;
  align-content: flex-start;
}

.flex-start {
  display: flex;
  -webkit-box-pack: start;
  justify-content: flex-start;
  flex-wrap: wrap;
  align-content: flex-start;
}

.fx-start {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.fx-center {
  display: flex;
  justify-content: center;
  /* align-items: center; */
}

.fx-center2 {
  display: flex;
  justify-content: center;
  align-items: center;
}

.fx-end {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.fx-around {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.fx-evenly {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}

.fx-stretch {
  display: flex;
  justify-content: stretch;
  align-items: center;
}

.flex-wrap {
  flex-wrap: wrap;
}

.align-content-start {
  align-content: flex-start;
}

.align-content-center {
  align-content: center;
}

.align-items-start {
  align-items: flex-start;
}

.align-items-end {
  align-items: flex-end;
}

.align-items-stretch {
  align-items: stretch;
}

.flex-shrink-0 {
  flex-shrink: 0;
}

.flex-column-c {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.fl {
  float: left;
}

/* margin */
.m-auto {
  margin: auto;
}

.mr-0 {
  margin-right: 0 !important;
}

.mr-b1 {
  margin-right: 1%;
}

.mr-b5 {
  margin-right: 5%;
}

.ml-b5 {
  margin-left: 5%;
}

.ml-b10 {
  margin-left: 10%;
}

.m-30 {
  margin: 30rem;
}

.m-20 {
  margin: 20rem;
}

.m-15 {
  margin: 15rem;
}

.mr-4 {
  margin-right: 4rem;
}

.mr-5 {
  margin-right: 5rem;
}

.mr-6 {
  margin-right: 6rem;
}

.mr-8 {
  margin-right: 8rem;
}

.mr-12 {
  margin-right: 12rem;
}

.mr-16 {
  margin-right: 16rem;
}

.mr-40 {
  margin-right: 40rem;
}

.mr-60 {
  margin-right: 60rem;
}

.mt-80 {
  margin-top: 80rem;
}

.mt-3 {
  margin-top: 3rem;
}

.mt-5 {
  margin-top: 5rem;
}

.mt-8 {
  margin-top: 8rem;
}

.mt-60 {
  margin-top: 60rem;
}

.mt--80 {
  margin-top: -80rem;
}

.mt-200 {
  margin-top: 200rem;
}

.mt-40 {
  margin-top: 40rem;
}

.mt-30 {
  margin-top: 30rem;
}

.mb-0 {
  margin-bottom: 0rem !important;
}

.mb-5 {
  margin-bottom: 5rem;
}

.mb-7 {
  margin-bottom: 7rem;
}

.mb-8 {
  margin-bottom: 8rem;
}

.mb-12 {
  margin-bottom: 12rem;
}

.mb-14 {
  margin-bottom: 14rem;
}

.mb-16 {
  margin-bottom: 16rem;
}

.mb-24 {
  margin-bottom: 24rem;
}

.mb-25 {
  margin-bottom: 25rem;
}

.mb-28 {
  margin-bottom: 28rem;
}

.mb-30 {
  margin-bottom: 30rem;
}

.mb-40 {
  margin-bottom: 40rem;
}

.mb-44 {
  margin-bottom: 44rem;
}

.mb-50 {
  margin-bottom: 50rem;
}

.mb-60 {
  margin-bottom: 60rem;
}

.mb-80 {
  margin-bottom: 80rem;
}

.mb-90 {
  margin-bottom: 90rem;
}

.mb-100 {
  margin-bottom: 100rem;
}

.mr-30 {
  margin-right: 30rem;
}

.ml-auto {
  margin-left: auto;
}

.ml-4 {
  margin-left: 4rem;
}

.ml-5 {
  margin-left: 5rem;
}

.ml-8 {
  margin-left: 8rem;
}

.mr-8 {
  margin-right: 8rem;
}

.ml-16 {
  margin-left: 16rem;
}

.ml-30 {
  margin-left: 30rem;
}

.mlr-4 {
  margin: 0 4rem;
}

.mlr-6 {
  margin: 0 6rem;
}

.mlr-8 {
  margin: 0 8rem;
}

.mlr-10 {
  margin: 0 10rem;
}

.mr-20 {
  margin-right: 20rem;
}

.mb-20 {
  margin-bottom: 20rem;
}

.mt-20 {
  margin-top: 20rem;
}

.ml-20 {
  margin-left: 20rem;
}

.ml-15 {
  margin-left: 15rem;
}

.mr-15 {
  margin-right: 15rem;
}

.mt-15 {
  margin-top: 15rem;
}

.mb-15 {
  margin-bottom: 15rem;
}

.ml-10 {
  margin-left: 10rem;
}

.mr-10 {
  margin-right: 10rem;
}

.mt-10 {
  margin-top: 10rem;
}

.mb-6 {
  margin-bottom: 6rem;
}

.mb-10 {
  margin-bottom: 10rem !important;
}

.ml-180 {
  margin-left: 180rem;
}

.m-tb-10 {
  margin: 10rem 0;
}

.m-7-4 {
  margin: 7rem 4rem;
}

/* padding */
.p-60 {
  padding: 60rem;
}

.p-55 {
  padding: 55rem;
}

.p-40 {
  padding: 40rem;
}

.p-30 {
  padding: 30rem;
}

.p-32 {
  padding: 32rem;
}

.p-35 {
  padding: 35rem;
}

.p-36 {
  padding: 36rem;
}

.p-25 {
  padding: 25rem;
}

.p-20 {
  padding: 20rem;
}

.p-15 {
  padding: 15rem;
}

.p-3 {
  padding: 3rem;
}

.p-0 {
  padding: 0rem;
}

.p-8-15 {
  padding: 8rem 15rem;
}

.p-10-15 {
  padding: 10rem 15rem;
}

.p-15-25 {
  padding: 15rem 25rem;
}

.p-10-25 {
  padding: 10rem 25rem;
}

.p-16-20 {
  padding: 16rem 20rem;
}

.p-20-40 {
  padding: 20rem 40rem;
}

.p-20-15 {
  padding: 20rem 15rem;
}

.p-28-48 {
  padding: 28rem 48rem;
}

.p-24-48 {
  padding: 24rem 48rem;
}

.p-40-30 {
  padding: 40rem 30rem;
}

.p-50-30 {
  padding: 50rem 30rem;
}

.p-50-60 {
  padding: 50rem 60rem;
}

.p-6-20 {
  padding: 6rem 20rem;
}

.p-6-76 {
  padding: 6rem 76rem;
}

.pt-40 {
  padding-top: 40rem;
}

.pb-40 {
  padding-bottom: 40rem;
}

.pt-5 {
  padding-top: 5rem;
}

.pb-5 {
  padding-bottom: 5rem;
}

.pb-6 {
  padding-bottom: 6rem;
}

.pb-8 {
  padding-bottom: 8rem;
}

.ptb-5 {
  padding: 5rem 0;
}

.ptb-10 {
  padding: 10rem 0;
}

.ptb-15 {
  padding: 15rem 0;
}

.ptb-18 {
  padding: 18rem 0;
}

.ptb-24 {
  padding: 24rem 0;
}

.ptb-40 {
  padding: 40rem 0;
}

.plr-5 {
  padding: 0 5rem;
}

.plr-10 {
  padding: 0 10rem;
}

.plr-15 {
  padding: 0 15rem;
}

.plr-20 {
  padding: 0 20rem;
}

.plr-24 {
  padding: 0 24rem;
}

.plr-25 {
  padding: 0 25rem;
}

.plr-32 {
  padding: 0 32rem;
}

.plr-40 {
  padding: 0 40rem;
}

.plr-48 {
  padding: 0 48rem;
}

.plr140 {
  padding: 0 140rem;
}

.pl-5 {
  padding-left: 5rem;
}

.pl-50 {
  padding-left: 50rem;
}

.pl-40 {
  padding-left: 40rem;
}

.pr-40 {
  padding-right: 40rem;
}

.pr-5 {
  padding-right: 5rem;
}

.pr-12 {
  padding-right: 12rem;
}

.pr-50 {
  padding-right: 50rem;
}

.pl-12 {
  padding-left: 12rem;
}

.pl-15 {
  padding-left: 15rem;
}

.pl-36 {
  padding-left: 36rem;
}

.pr-36 {
  padding-right: 36rem;
}

.pr-32 {
  padding-right: 32rem;
}

.pt-55 {
  padding-top: 55rem;
}

.pt-60 {
  padding-top: 60rem;
}

.pt-30 {
  padding-top: 30rem;
}

.pb-0 {
  padding-bottom: 0rem !important;
}

.pb-4 {
  padding-bottom: 4rem;
}

.pb-8 {
  padding-bottom: 8rem;
}

.pb-80 {
  padding-bottom: 80rem;
}

.pb-120 {
  padding-bottom: 120rem;
}

.pb-25 {
  padding-bottom: 25rem;
}

.pb-30 {
  padding-bottom: 30rem;
}

.pb-260 {
  padding-bottom: 260rem;
}

.pl-24 {
  padding-left: 24rem;
}

.pr-24 {
  padding-right: 24rem;
}

.pl-27 {
  padding-left: 27rem;
}

.pr-27 {
  padding-right: 27rem;
}

.pl-30 {
  padding-left: 30rem;
}

.pr-30 {
  padding-right: 30rem;
}

.pt-20 {
  padding-top: 20rem;
}

.pb-20 {
  padding-bottom: 20rem;
}

.pl-20 {
  padding-left: 20rem;
}

.pr-20 {
  padding-right: 20rem;
}

.pt-15 {
  padding-top: 15rem;
}

.pb-15 {
  padding-bottom: 15rem;
}

.p3-8-i {
  padding: 3rem 8rem !important;
}

.p-4 {
  padding: 4rem;
}

.p-6 {
  padding: 6rem;
}

.p-10 {
  padding: 10rem;
}

.pl-10 {
  padding-left: 10rem;
}

.pr-10 {
  padding-right: 10rem;
}

.pt-10 {
  padding-top: 10rem;
}

.pb-10 {
  padding-bottom: 10rem;
}

.pt-12 {
  padding-top: 12rem;
}

.pb-12 {
  padding-bottom: 12rem;
}

.pt-6 {
  padding-top: 6rem;
}

/* font-size */
.f-12 {
  font-size: 12rem;
}

.f-13 {
  font-size: 13rem;
}

.f-14 {
  font-size: 14rem;
}

.f-15 {
  font-size: 15rem;
}

.f-16 {
  font-size: 16rem;
}

.f-18 {
  font-size: 18rem;
}

.f-20 {
  font-size: 20rem;
}

.f-22 {
  font-size: 22rem;
}

.f-24 {
  font-size: 24rem;
}

.f-26 {
  font-size: 26rem;
}

.f-28 {
  font-size: 28rem;
}

.f-30 {
  font-size: 30rem;
}

.f-32 {
  font-size: 32rem;
}

.f-34 {
  font-size: 34rem;
}

.f-36 {
  font-size: 36rem;
}

.f-40 {
  font-size: 40rem;
}

.f-44 {
  font-size: 44rem;
}

.f-50 {
  font-size: 50rem;
}

.f-56 {
  font-size: 56rem;
}

.f-64 {
  font-size: 64rem;
}

.f-72 {
  font-size: 72rem;
}

.f-80 {
  font-size: 80rem;
}

.f-96 {
  font-size: 96rem;
}

/* text-align */
.text-center {
  text-align: center;
}

.text-c {
  text-align: center;
}

.text-left {
  text-align: left;
}

.text-right {
  text-align: right;
}

.text-justify {
  text-align: justify;
}

/* color */
.color-4d4d4d {
  color: #4d4d4d;
}

.color-000 {
  color: #000000;
}

.color-999 {
  color: #999999;
}

.color-777 {
  color: #777777;
}

.color-666 {
  color: #666;
}

.color-535353 {
  color: #535353;
}

.color-333 {
  color: #333;
}

.color-444 {
  color: #444;
}

.color-bbaab2 {
  color: #bbaab2;
}

.color-aaa {
  color: #AAAAAA;
}

.color-bbb {
  color: #bbb;
}

.color-eee {
  color: #eee;
}

.color-e4 {
  color: #e4e4e4;
}

.color-fff {
  color: #fff;
}

.color-21 {
  color: #212121;
}

.color-gray {
  color: #e5e9f2;
}

.color-orange {
  color: #F9BA37;
}

.color-primary {
  color: #6660b8;
}

.color-text {
  color: #333;
}

.color-golden {
  color: #da8c47;
}

.color-golden-1 {
  color: #BE9137;
}

.color-yellow {
  color: #FFC300;
}

.color-red {
  color: red;
}


.color-blue {
  color: #0071b8;
}

.color-blue-2 {
  color: #7499c1;

}

.color-sky-blue {
  color: #1890ff;
}

.color-sky-blue-i {
  color: #1890ff !important;
}

.color-green {
  color: #09af6d;
}

.color-blown {
  color: #a44200;
}

.color-pink {
  color: #FFD3BE;
}

.color-888 {
  color: #888 !important;
}

.color-d88 {
  color: #dd8888 !important;
}

.color-88d {
  color: #8888dd !important;
}

.color-8d8 {
  color: #88dd88 !important;
}

.bold {
  font-weight: bold;
}

.normal {
  font-weight: normal;
}

/* position */
.relative {
  position: relative;
}

.fixed {
  position: fixed;
}

.absoult {
  position: absolute;
}

.ab-0 {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
}

.sticky {
  position: -webkit-sticky;
  /* Safari */
  position: sticky;
}

/* top */
.top-1 {
  top: 1rem;
}

.top-0 {
  top: 0rem;
}

/* left */
.left-0 {
  left: 0rem;
}

/* z-index */
.zx-10 {
  z-index: 10;
}

/* 取消按钮样式 */
.cancelBut {
  width: 50rem;
  height: 25rem;
  line-height: 25rem;
  background-color: #ff7272;
  border-radius: 4rem;
  color: white;
}

/* 确定按钮样式 */
.defineBox {
  width: 50rem;
  height: 25rem;
  line-height: 25rem;
  background-color: #0b84d5;
  border-radius: 4rem;
  color: white;
}

/* hover */
.hover:active {
  opacity: 0.7;
}

.hover-show .show {
  display: none;
}

.hover-show:hover .show {
  display: block;
}

.layout-hover:hover {
  background-color: #6660b8;
}

/* .layout-hover :hover {
  background-color: #6660b8;
} */
.back-hover:active {
  background: #0000001c;
  border-radius: 16rem;
}

.back-transparent {
  background: transparent;
}

.back-05 {
  background: rgba(39, 39, 39, 0.5);
}

.back-primary {
  background: #6660b8;
}

.back-primary-light {
  background: #3191A9;
}

.back-light-blue {
  background: #e1e9fd;
}

.back-shy-blue {
  background: #55acee;
}

.back-che-blue {
  background: #409eff;

}

.back-blue {
  background: #0071b8;
}

.back-f1f1f1 {
  background: #f1f1f1;
}

.back-defult {
  background: #e4e4e4;
}

.back-fff {
  background: #fff;
}

.back-e9e {
  background: #e9e9e9;
}

.back-fff-important {
  background: #fff !important;
}

.back-f3f5f9 {
  background: #f3f5f9;
}

.back-f9f9f9 {
  background: #f9f9f9;
}

.back-gray {
  background: #f7f7f7;
}

.back-f7fafc {
  background: #f7fafc;
}

.back-f6 {
  background: #f6f6f6;
}

.back-grays {
  background: #f5f6fa;
}

.back-red {
  background: #FF0000;
}

.back-deep-red {
  background: #d13c3c;
}

.back-green {
  background: #00bd1d;
}

.back-e1e2e7 {
  background: #e1e2e7;
}

.back-g5 {
  background: rgba(155, 155, 155, 0.5);
}

.back-eee {
  background: #eeeeee;
}

.back-pink {
  background: #fff4e6;
}

.back-blown {
  background: #EBCAB8;
}

.back-e5-i {
  background: #e5e5e5 !important;
}

.back-success {
  background-color: #67c23a !important;
}

.back-error {
  background-color: #f56c6c !important;
}

.border-top {
  border-top: 1rem solid #eee;
}

.border-bottom {
  border-bottom: 1rem solid #e5e9f2;
}

.border-bottom-deep {
  border-bottom: 1rem solid #ced4da;
}

.border-bottom-0 {
  border-bottom: 0;
}

.border-left {
  border-left: 1rem solid #e5e9f2;
}

.before-left::before {
  position: absolute;
  left: 0;
  top: calc(50% - 7rem);
  content: '';
  width: 3rem;
  height: 15rem;
  background-color: #0071b8;
}

.border-1-f-8 {
  border: 1rem solid #8f8f8f;
}

.border-1 {
  border: 1rem solid #ced4da;
}

.border-1-light {
  border: 1rem solid #e5e9f2;
}

.border-focus-1 {
  border: 1rem solid #ff0000;
}

.border-dashed-t-95 {
  border-top: 1rem dashed #959595
}

.border-0 {
  border: 0 !important;
}

.border-left-e4e7ed {
  border-left: 1rem solid #e4e7ed;
}

.border-radius-4 {
  border-radius: 4rem;
}

.border-radius-8 {
  border-radius: 8rem;
}

.border-radius-12 {
  border-radius: 12rem;
}

.border-radius-16 {
  border-radius: 16rem;
}

.border-radius-24 {
  border-radius: 24rem;
}

.border-white-2 {
  border: 2rem solid #fff;
}

.border-right-white {
  border-right: 4rem solid #FFFFFF;
}

.border-right-ddd {
  border-right: 1rem solid #dddddd;
}

.border-c7 {
  border: 1rem solid #c7c7c7;
}

.border-right {
  position: relative;
}

.border-right::after {
  content: '';
  position: absolute;
  top: 50%;
  right: 0;
  width: 4rem;
  height: 60%;
  transform: translateY(-50%);
  background-color: #AAAAAA;
}

.border {
  border: 1rem solid;
}

.border-t-1 {
  border-top: 1rem solid;
}

.border-b-1 {
  border-bottom: 1rem solid;
}

.border-l-1 {
  border-left: 1rem solid;
}

.border-r-1 {
  border-right: 1rem solid;
}

.border-color-blue {
  border-color: #0071b8;
}

.border-color-boundary {
  border-color: var(--border-color-boundary);
}

.circle {
  border-radius: 50%;
}

.w_50-5 {
  width: calc(50% - 5rem);
}

.w_50-20 {
  width: calc(50% - 20rem);
}

.w_100-20 {
  width: calc(100% - 20rem);
}

.w_100-100 {
  width: calc(100% - 100rem);
}

.w-16 {
  width: 16%;
}

.w-19 {
  width: 19%;
}

.w-20 {
  width: 20%;
}

.w-22 {
  width: 22% !important;
}

.w-23 {
  width: 23% !important;
}

.w-24 {
  width: 24%;
}

.w-25 {
  width: 25%;
}

.w-28 {
  width: 28%;
}

.w-30 {
  width: 30%;
}

.w-32 {
  width: 32%;
}

.w-33 {
  width: 33%;
}

.w-33-33 {
  width: 33.33%;
}

.w-34 {
  width: 34%;
}

.w-35 {
  width: 35%;
}

.w-36 {
  width: 36%;
}

.w-43 {
  width: 43%;
}

.w-45 {
  width: 45%;
}

.w-48 {
  width: 48%;
}

.w-49 {
  width: 49%;
}

.w-50 {
  width: 50%;
}

.w-54 {
  width: 54%;
}

.w-56 {
  width: 56%;
}

.w-64 {
  width: 64%;
}

.w-65 {
  width: 65%;
}

.w-66 {
  width: 66%;
}

.w-72 {
  width: 72%;
}

.w-74 {
  width: 74%;
}

.w-80 {
  width: 80%;
}

.w-84 {
  width: 84%;
}

.w-85 {
  width: 85%;
}

.w-86 {
  width: 86%;
}

.w-90 {
  width: 90%;
}

.w-100 {
  width: 100% !important;
}

.w_100 {
  width: 100vw;
}

.wid-fit {
  width: fit-content;
}

.wid15 {
  width: 15rem;
}

.wid30 {
  width: 30rem;
}

.wid40 {
  width: 40rem;
}

.wid48 {
  width: 48rem;
}

.wid50 {
  width: 50rem;
}

.wid68 {
  width: 68rem;
}

.wid70 {
  width: 70rem;
}

.wid80 {
  width: 80rem;
}

.wid86 {
  width: 86rem;
}

.wid90 {
  width: 90rem;
}

.wid100 {
  width: 100rem;
}

.wid100-i {
  width: 100rem !important;
}

.wid110 {
  width: 110rem;
}

.wid120 {
  width: 120rem;
}

.wid120-i {
  width: 120rem !important;
}

.wid130 {
  width: 130rem;
}

.wid135 {
  width: 135rem;
}

.wid140 {
  width: 140rem;
}

.wid150 {
  width: 150rem;
}

.wid160 {
  width: 160rem;
}

.wid160-i {
  width: 160rem !important;
}

.wid170 {
  width: 170rem;
}

.wid180 {
  width: 180rem;
}

.wid200 {
  width: 200rem;
}

.wid210 {
  width: 210rem;
}

.wid220 {
  width: 220rem;
}

.wid230 {
  width: 230rem;
}

.wid240 {
  width: 240rem;
}

.wid260 {
  width: 260rem;
}

.wid260-i {
  width: 260rem !important;
}

.wid300 {
  width: 300rem;
}

.wid320 {
  width: 320rem;
}

.wid340 {
  width: 340rem;
}

.wid360 {
  width: 360rem;
}

.wid375 {
  width: 375rem;
}

.wid420 {
  width: 420rem;
}

.wid430 {
  width: 430rem;
}

.wid480 {
  width: 480rem;
}

.wid520 {
  width: 520rem;
}

.wid840 {
  width: 840rem;
}

.min-w-33 {
  min-width: 33.33%;
}

.min-wid70 {
  min-width: 70rem;
}

.min-wid120 {
  min-width: 120rem;
}

.min-wid140 {
  min-width: 140rem;
}

.min-wid180 {
  min-width: 180rem;
}

.min-wid760 {
  min-width: 760rem;
}

.min-wid800 {
  min-width: 800rem;
}

.min-wid900 {
  min-width: 900rem;
}

.min-wid960 {
  min-width: 960rem;
}

.min-wid1000 {
  min-width: 1000rem;
}

.min-wid1120 {
  min-width: 1120rem;
}

.min-wid1300 {
  min-width: 1300rem;
}

.h-100 {
  height: 100%;
}

.hei16 {
  height: 16rem;
}

.hei18 {
  height: 18rem;
}

.hei21 {
  height: 21rem;
}

.hei24 {
  height: 24rem;
}

.hei30 {
  height: 30rem;
}

.hei32 {
  height: 32rem;
}

.hei_90 {
  height: 90rem;
}

.h_80 {
  height: 80vh;
}

.h_100 {
  height: 100vh;
}

.max-hei100 {
  max-height: 100rem;

}

.max-hei200 {
  max-height: 200rem;
}

.max-hei250 {
  max-height: 250rem;
}

.width-percent-20 {
  flex: 0 0 20%;
}

.width-percent-25 {
  flex: 0 0 25%;
}

.width-percent-30 {
  flex: 0 0 30%;
}

.divider {
  height: 1rem;
  border-top: 1rem solid #eee;
}

.lh16 {
  line-height: 16rem;
}

.lh17 {
  line-height: 17rem;
}

.lh18 {
  line-height: 18rem;
}

.lh20 {
  line-height: 20rem;
}

.lh21 {
  line-height: 21rem;
}

.lh22 {
  line-height: 22rem;
}

.lh24 {
  line-height: 24rem;
}

.lh28 {
  line-height: 28rem;
}

.lh30 {
  line-height: 30rem;
}

.lh31 {
  line-height: 31rem;
}

.lh32 {
  line-height: 32rem;
}

.lh36 {
  line-height: 36rem;
}

.lh40 {
  line-height: 40rem;
}

.lh43 {
  line-height: 43rem;
}

.lh44 {
  line-height: 44rem;
}

.lh48 {
  line-height: 48rem;
}

.lh50 {
  line-height: 50rem;
}

.lh60 {
  line-height: 60rem;
}

.lh70 {
  line-height: 70rem;
}

.one-line {
  text-overflow: -o-ellipsis-lastline;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  line-clamp: 1;
  -webkit-box-orient: vertical;
  word-break: break-all;
}

.two-line {
  text-overflow: -o-ellipsis-lastline;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  word-break: break-all;
}

.three-line {
  text-overflow: -o-ellipsis-lastline;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  line-clamp: 3;
  -webkit-box-orient: vertical;
  word-break: break-all;
}

.opacity-0 {
  opacity: 0;
}

.ver-top {
  vertical-align: top;
}

.ver-mid {
  vertical-align: middle;
}

.ver-bottom {
  vertical-align: bottom;
}

.ver-bottom-base {
  vertical-align: text-bottom;
}

.hei100 {
  height: 100%;
}

.hei55 {
  height: 55%;
}

.hei50 {
  height: 50%;
}

.hei45 {
  height: 45%;
}

.min-100 {
  min-height: 100vh;
}

.line-through {
  text-decoration: line-through;
}

.hidden {
  overflow: hidden;
}

.auto-y {
  overflow-y: auto;
}

.auto-y::-webkit-scrollbar {
  display: none;
  width: 0;
  height: 0;
  background-color: transparent;
}

.scroll-y::-webkit-scrollbar {
  display: block;
}

.scroll-y::-webkit-scrollbar {
  width: 6rem;
  height: 1rem;
}

.scroll-y::-webkit-scrollbar-thumb {
  background: #aaaaaa;
  border-radius: 6rem;
  /* background: #ededed; */
}

.scroll-y::-webkit-scrollbar-track {
  /* background: #ededed; */
  background: transparent;
}

.auto-x {
  overflow-x: auto;
}

.auto-x::-webkit-scrollbar {
  display: none;
  width: 0;
  height: 0;
  background-color: transparent;
}

.f-family-Medium {
  font-family: 'PingFangSC-Medium';
}

.box-show {
  box-shadow: 0 2rem 4rem rgba(0, 0, 0, 0.1);
}

.box-show-4-12 {
  box-shadow: 0 4rem 12rem rgba(0, 0, 0, 0.1);
}

.box-show-0-12 {
  box-shadow: 0 0rem 12rem rgba(0, 0, 0, 0.1);
}

.confirm-btn {
  width: 600rem;
  height: 104rem;
  line-height: 104rem;
  border-radius: 24rem;
}

.cu-point {
  cursor: pointer;
}

.cu-move {
  cursor: move;
}

.cu-not {

  cursor: not-allowed;
}

.text-no {
  resize: none;
}

.required:after {
  content: '*';
  color: #ff4949;
  margin-left: 2rem;
}

.dialog-fixed {
  z-index: 11;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.6);
}

.break-word {
  word-break: break-word;
}

.no-wrap {
  white-space: nowrap;
}

.inline-block {
  display: inline-block;
}

.tip-i {
  position: relative;
  /* top: -3rem; */
}

.state-danger {
  color: #ff0000;
  background: rgba(255, 0, 0, 0.2);
}

.state-primary {
  color: #23abf0;
  background: rgba(35, 171, 240, 0.2)
}

.search-none {
  position: absolute;
  bottom: -20rem;
  left: 0;
  color: #FF0000;
  font-size: 12rem;
  line-height: 20rem;
}

.text-hide {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.display-none {
  display: none;
}

.display-show::hover .display-none {
  display: block;
}

.tip-icon-box {
  width: 14rem;
  height: 14rem;
}

.tip-icon-box-re {
  width: 14rem;
  height: 14rem;
  position: relative;
  top: 2rem;
  left: 6rem;
}

/* 列表 */
.van-loading__circular {
  height: 10rem;
}

/* 自定义复选样式 */
.check-box {
  width: 14rem;
  height: 14rem;
  border-radius: 2rem;
  border: 1rem solid #dcdfe6;
}

.check-after,
.border-409 .check-after_bor {
  background: #409eff;
  border: 0rem solid #dcdfe6;
}

.check-box:after,
.check-after_bor:after {
  -webkit-box-sizing: content-box;
  box-sizing: content-box;
  content: "";
  border: 1rem solid #fff;
  border-left: 0;
  border-top: 0;
  height: 7rem;
  left: 5rem;
  position: absolute;
  top: 2rem;
  -webkit-transform: rotate(45deg) scaleY(0);
  transform: rotate(45deg) scaleY(1);
  width: 3rem;
  -webkit-transition: -webkit-transform .15s ease-in .05s;
  transition: -webkit-transform .15s ease-in .05s;
  transition: transform .15s ease-in .05s;
  transition: transform .15s ease-in .05s, -webkit-transform .15s ease-in .05s;
  -webkit-transform-origin: center;
  transform-origin: center;
}

.border-check-box {
  padding: 5rem 10rem;
  height: 32rem;
}

.scroll-text {
  white-space: nowrap;
  /* overflow: hidden; */
  animation: scroll calc(var(--marqueeTime) * 1s) linear infinite;
}

@keyframes scroll {
  0% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(-50%);
  }
}